Skip to main content
`Ctrl`+`K`

# KSPGuessDestroy

Destroys `KSPGuess` context.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPGuessDestroy(KSPGuess *guess)

Collective

## Input Parameter

- guess - initial guess object

## See Also

KSP: Linear System Solvers, `KSPGuessCreate()`, `KSPGuess`, `KSPGuessType`

## Level

developer

## Location

src/ksp/ksp/interface/iguess.c

## Implementations

KSPGuessDestroy_Fischer() in src/ksp/ksp/guess/impls/fischer/fischer.c
KSPGuessDestroy_POD() in src/ksp/ksp/guess/impls/pod/pod.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages